<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.newId">var.newId</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;id>401&lt;/id>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">am.twf.063_hooking</Property>
		<Property name="ISServerName">ice-dev02.inubit.com</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>
	&lt;context>template&lt;/context>
	&lt;method>create&lt;/method>
	&lt;parameters>
		&lt;template>

			&lt;labels>
				&lt;de>Template for AM-49+50 DE&lt;/de>
				&lt;en>Template for AM-49+50 EN&lt;/en>
			&lt;/labels>
			&lt;hasLocation>true&lt;/hasLocation>
			&lt;hasContacts>true&lt;/hasContacts>
			&lt;versionedAttributes>
				&lt;attribute>
					&lt;key>myAttribute&lt;/key>
					&lt;labels>
						&lt;de>Mein Attribut&lt;/de>
						&lt;en>My Attribute&lt;/en>
					&lt;/labels>
					&lt;displayDescription>&lt;!-- will be ignored as it makes no sense
						-->myAttribute displayDescription DE&lt;/displayDescription>	
					&lt;descriptions>
						&lt;de>myAttribute descriptions DE&lt;/de>
						&lt;en>myAttribute descriptions EN&lt;/en>
					&lt;/descriptions>
				&lt;/attribute>
			&lt;/versionedAttributes>
			&lt;children/>
			&lt;unversionedAttributes/>
			&lt;parents/>
			&lt;actions>
				&lt;action>
					&lt;key>doSomething1&lt;/key>
					&lt;labels>
						&lt;de>Mache Etwas1 ohne Params + descriptions&lt;/de>
						&lt;en>Do Something1 without params + desciptions&lt;/en>
					&lt;/labels>
					&lt;!-- no parameters + descriptions -->
				&lt;/action>
				&lt;action>
					&lt;key>doSomething2&lt;/key>
					&lt;labels>
						&lt;de>Mache Etwas2 mit leerer Params- und descriptions-Liste&lt;/de>
						&lt;en>Do Something2 with empty params and descriptions list&lt;/en>
					&lt;/labels>
					&lt;descriptions>&lt;!-- no description -->&lt;/descriptions>
					&lt;parameters>
						&lt;type>none&lt;/type>
						&lt;!-- no parameter -->
					&lt;/parameters>			
				&lt;/action>
				&lt;action>
					&lt;key>doSomething3&lt;/key>
					&lt;labels>
&lt;!-- TODO 
	Locale instead of only language? 
	One locale and respective language mixed? (de_CH and de, then de shall be used for de_AT and de_DE)
	&lt;de_CH>Mache Etwas3, locale de_CH, mit leerer Param-Liste und descriptions-Liste&lt;/de_CH>
-->
						&lt;de>Mache Etwas3 mit statischen Params und de+en descriptions&lt;/de>
						&lt;en>Do Something3 with static params and de+en descriptions&lt;/en>
					&lt;/labels>					
					&lt;descriptions>
&lt;!-- TODO 
	Locale instead of only language? 
	One locale and respective language mixed? (de_CH and de, then de shall be used for de_AT and de_DE)
	&lt;de_CH>Mache Etwas3 displayDescription, locale de_CH&lt;/de_CH>
-->
						&lt;de>Mache Etwas3 descriptions, language DE&lt;/de>
						&lt;en>doSomething3 descriptions EN&lt;/en>
					&lt;/descriptions>	
					&lt;parameters>
						&lt;type>static&lt;/type>	
						&lt;attributes>
							&lt;attribute>
								&lt;key>myActionAttribute1&lt;/key>
								&lt;labels>
									&lt;de>Mein Action Attribut1&lt;/de>
									&lt;en>My Action Attribute1&lt;/en>
								&lt;/labels>
								&lt;displayDescription>&lt;!-- will be ignored as it makes no sense
									-->myActionAttribute1 displayDescription DE&lt;/displayDescription>	
								&lt;descriptions>
									&lt;de>myActionAttribute1 string minLength=2, descriptions DE&lt;/de>
									&lt;en>myActionAttribute1 string minLength=2, descriptions EN&lt;/en>
								&lt;/descriptions>
								&lt;type>string&lt;/type>
								&lt;minLength>2&lt;/minLength>
							&lt;/attribute>
							&lt;attribute>
								&lt;key>myActionAttribute2&lt;/key>
								&lt;labels>
									&lt;de>Mein Action Attribut2 ohne Descriptions&lt;/de>
									&lt;en>My Action Attribute2 without descriptions&lt;/en>
								&lt;/labels>
							&lt;/attribute>
						&lt;/attributes>					
					&lt;/parameters>										
				&lt;/action>
				&lt;action>
					&lt;key>doSomething4&lt;/key>
					&lt;labels>
						&lt;de>Mache Etwas4 mit dynamischen Params, nur en description&lt;/de>
						&lt;en>Do Something4 with dynamic params, only en description&lt;/en>
					&lt;/labels>	
					&lt;descriptions>
						&lt;en>doSomething2 descriptions EN&lt;/en>
					&lt;/descriptions>
					&lt;parameters>
						&lt;type>dynamic&lt;/type>						
					&lt;/parameters>										
				&lt;/action>
			&lt;/actions>
		&lt;/template>
		&lt;!-- Return created template (optional, defaults to false): -->
		&lt;return>true&lt;/return>
	&lt;/parameters>
&lt;/request>&lt;startTimestamp>1389829622134&lt;/startTimestamp>&lt;configuration>&lt;alerting>&lt;recipient>&lt;eMailAddress>andreas.meinl@bosch-si.com&lt;/eMailAddress>&lt;/recipient>&lt;/alerting> 
    
  &lt;database> 
    &lt;uri>jdbc:oracle:thin:@oracle.inubit.com:1521:orcps&lt;/uri>  
    &lt;user> 
      &lt;loginName>icedev02_am&lt;/loginName>  
      &lt;password>cb725eb99d&lt;/password>  
      &lt;!--loginName>icedev02&lt;/loginName>  
      &lt;password>h14aa4ab60&lt;/password--> 
    &lt;/user>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default> 
  &lt;/database>&lt;entity>&lt;validate>true&lt;/validate>&lt;/entity>&lt;mail>&lt;host>mail.inubit.com&lt;/host>&lt;sender>&lt;eMailAddress>ice-operations@inubit.com&lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>  
  &lt;response>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;format>true&lt;/format>&lt;validate>true&lt;/validate>&lt;/response&gt;&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;user>&lt;maxAge>P1D&lt;/maxAge>&lt;/user>  
  &lt;version>1.1.2&lt;/version> 
&lt;/configuration>&lt;user>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;loginName>sys&lt;/loginName>&lt;name>Technical User&lt;/name>&lt;eMailAddress>andreas.meinl@inubit.com&lt;/eMailAddress>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;organization>&lt;id>12307&lt;/id>&lt;displayName>Mustermann GmbH&lt;/displayName>&lt;name>Mustermann GmbH&lt;/name>&lt;createdOn>2013-06-01T21:02:06Z&lt;/createdOn>&lt;createdByUser>&lt;id>12314&lt;/id>&lt;displayName>Max Mustermann&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2014-01-15T13:51:41Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/organization>&lt;roles>&lt;role>am-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>asset.create&lt;/permission>&lt;permission>asset.delete&lt;/permission>&lt;permission>asset.executeAction&lt;/permission>&lt;permission>asset.get&lt;/permission>&lt;permission>asset.getActionAttributes&lt;/permission>&lt;permission>asset.getValue&lt;/permission>&lt;permission>asset.query&lt;/permission>&lt;permission>asset.setValue&lt;/permission>&lt;permission>asset.update&lt;/permission>&lt;permission>organization.get&lt;/permission>&lt;permission>person.create&lt;/permission>&lt;permission>person.delete&lt;/permission>&lt;permission>person.get&lt;/permission>&lt;permission>person.query&lt;/permission>&lt;permission>person.update&lt;/permission>&lt;permission>query.create&lt;/permission>&lt;permission>query.delete&lt;/permission>&lt;permission>query.get&lt;/permission>&lt;permission>query.query&lt;/permission>&lt;permission>query.update&lt;/permission>&lt;permission>template.create&lt;/permission>&lt;permission>template.delete&lt;/permission>&lt;permission>template.get&lt;/permission>&lt;permission>template.getImage&lt;/permission>&lt;permission>template.query&lt;/permission>&lt;permission>template.setImage&lt;/permission>&lt;permission>template.update&lt;/permission>&lt;permission>user.get&lt;/permission>&lt;/permissions>&lt;createdOn>2013-06-03T08:24:01Z&lt;/createdOn>&lt;createdByUser>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2014-01-15T14:38:58Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>12825&lt;/id>&lt;displayName>Technical User&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/user>&lt;/session></Property>
		<Property name="ISInvokingWorkflow">am.twf.010_template</Property>
		<Property name="ISModuleId">2123490326</Property>
		<Property name="template" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;template>

			&lt;labels>
				&lt;de>Template for AM-49+50 DE&lt;/de>
				&lt;en>Template for AM-49+50 EN&lt;/en>
			&lt;/labels>
			&lt;hasLocation>true&lt;/hasLocation>
			&lt;hasContacts>true&lt;/hasContacts>
			&lt;versionedAttributes>
				&lt;attribute>
					&lt;key>myAttribute&lt;/key>
					&lt;labels>
						&lt;de>Mein Attribut&lt;/de>
						&lt;en>My Attribute&lt;/en>
					&lt;/labels>
					&lt;displayDescription>&lt;!-- will be ignored as it makes no sense
						-->myAttribute displayDescription DE&lt;/displayDescription>	
					&lt;descriptions>
						&lt;de>myAttribute descriptions DE&lt;/de>
						&lt;en>myAttribute descriptions EN&lt;/en>
					&lt;/descriptions>
				&lt;/attribute>
			&lt;/versionedAttributes>
			&lt;children/>
			&lt;unversionedAttributes/>
			&lt;parents/>
			&lt;actions>
				&lt;action>
					&lt;key>doSomething1&lt;/key>
					&lt;labels>
						&lt;de>Mache Etwas1 ohne Params + descriptions&lt;/de>
						&lt;en>Do Something1 without params + desciptions&lt;/en>
					&lt;/labels>
					&lt;!-- no parameters + descriptions -->
				&lt;/action>
				&lt;action>
					&lt;key>doSomething2&lt;/key>
					&lt;labels>
						&lt;de>Mache Etwas2 mit leerer Params- und descriptions-Liste&lt;/de>
						&lt;en>Do Something2 with empty params and descriptions list&lt;/en>
					&lt;/labels>
					&lt;descriptions>&lt;!-- no description -->&lt;/descriptions>
					&lt;parameters>
						&lt;type>none&lt;/type>
						&lt;!-- no parameter -->
					&lt;/parameters>			
				&lt;/action>
				&lt;action>
					&lt;key>doSomething3&lt;/key>
					&lt;labels>
&lt;!-- TODO 
	Locale instead of only language? 
	One locale and respective language mixed? (de_CH and de, then de shall be used for de_AT and de_DE)
	&lt;de_CH>Mache Etwas3, locale de_CH, mit leerer Param-Liste und descriptions-Liste&lt;/de_CH>
-->
						&lt;de>Mache Etwas3 mit statischen Params und de+en descriptions&lt;/de>
						&lt;en>Do Something3 with static params and de+en descriptions&lt;/en>
					&lt;/labels>					
					&lt;descriptions>
&lt;!-- TODO 
	Locale instead of only language? 
	One locale and respective language mixed? (de_CH and de, then de shall be used for de_AT and de_DE)
	&lt;de_CH>Mache Etwas3 displayDescription, locale de_CH&lt;/de_CH>
-->
						&lt;de>Mache Etwas3 descriptions, language DE&lt;/de>
						&lt;en>doSomething3 descriptions EN&lt;/en>
					&lt;/descriptions>	
					&lt;parameters>
						&lt;type>static&lt;/type>	
						&lt;attributes>
							&lt;attribute>
								&lt;key>myActionAttribute1&lt;/key>
								&lt;labels>
									&lt;de>Mein Action Attribut1&lt;/de>
									&lt;en>My Action Attribute1&lt;/en>
								&lt;/labels>
								&lt;displayDescription>&lt;!-- will be ignored as it makes no sense
									-->myActionAttribute1 displayDescription DE&lt;/displayDescription>	
								&lt;descriptions>
									&lt;de>myActionAttribute1 string minLength=2, descriptions DE&lt;/de>
									&lt;en>myActionAttribute1 string minLength=2, descriptions EN&lt;/en>
								&lt;/descriptions>
								&lt;type>string&lt;/type>
								&lt;minLength>2&lt;/minLength>
							&lt;/attribute>
							&lt;attribute>
								&lt;key>myActionAttribute2&lt;/key>
								&lt;labels>
									&lt;de>Mein Action Attribut2 ohne Descriptions&lt;/de>
									&lt;en>My Action Attribute2 without descriptions&lt;/en>
								&lt;/labels>
							&lt;/attribute>
						&lt;/attributes>					
					&lt;/parameters>										
				&lt;/action>
				&lt;action>
					&lt;key>doSomething4&lt;/key>
					&lt;labels>
						&lt;de>Mache Etwas4 mit dynamischen Params, nur en description&lt;/de>
						&lt;en>Do Something4 with dynamic params, only en description&lt;/en>
					&lt;/labels>	
					&lt;descriptions>
						&lt;en>doSomething2 descriptions EN&lt;/en>
					&lt;/descriptions>
					&lt;parameters>
						&lt;type>dynamic&lt;/type>						
					&lt;/parameters>										
				&lt;/action>
			&lt;/actions>
		&lt;/template></Property>
		<Property name="ISUserName">AM</Property>
		<Property name="ISErrorKey">XMLXMLError</Property>
		<Property name="ISGlobalProcessId">52691</Property>
		<Property name="ISInvokingModule">am.twf.025_createTemplate</Property>
		<Property name="id">401</Property>
		<Property name="ISCurrentTime">1389830034951</Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISErrorModuleName">am.025_prepareCreateTemplate</Property>
		<Property name="ISProcessId">52694</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISErrorString">During the execution of the XSLT stylesheet an error has occurred. : An empty sequence is not allowed as the value of variable $template</Property>
		<Property name="ISErrorModuleId">79145</Property>
		<Property name="ISModuleName">setBody</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">  
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.newId"/>  
  &lt;xsl:template match="/">&lt;body>&lt;template> 
      &lt;id> 
        &lt;xsl:value-of select="$var.newId"/> 
      &lt;/id> 
    &lt;/template>&lt;/body> 
     
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>